Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #1023 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

[PATCH] 'tg-admin update' fails (cannot find 'sqlalchemy')

Reported by: plewis Owned by: anonymous
Priority: normal Milestone: 1.0
Component: TurboGears Version: 0.9a6
Severity: normal Keywords:
Cc:

Description

tg-admin upgrade fails with the following traceback:

Error in file /Users/plewis/Programming/turbogears_svn/branches/1.0/turbogears/qstemplates/quickstart/+package+/controllers.py_tmpl:
Traceback (most recent call last):
  File "/usr/local/bin/tg-admin", line 7, in ?
    sys.exit(
  File "/Users/plewis/Programming/turbogears_svn/branches/1.0/turbogears/command/base.py", line 324, in main
    command.run()
  File "/Users/plewis/Programming/turbogears_svn/branches/1.0/turbogears/command/quickstart.py", line 259, in run
    command.run(cmd_args)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/command.py", line 205, in run
    result = self.command()
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/create_distro.py", line 98, in command
    self.create_template(
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/create_distro.py", line 125, in create_template
    template.run(self, output_dir, vars)
  File "/Users/plewis/Programming/turbogears_svn/branches/1.0/turbogears/command/quickstart.py", line 33, in run
    super(TGTemplate, self).run(command, output_dirs, vars)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/templates.py", line 47, in run
    self.write_files(command, output_dir, vars)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/templates.py", line 110, in write_files
    use_cheetah=self.use_cheetah)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/copydir.py", line 61, in copy_dir
    svn_add=svn_add)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/copydir.py", line 68, in copy_dir
    use_cheetah=use_cheetah)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/copydir.py", line 222, in substitute_content
    return careful_sub(tmpl, vars, filename)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/copydir.py", line 231, in careful_sub
    return sub_catcher(filename, vars, str, cheetah_template)
  File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PasteScript-0.5.1-py2.4.egg/paste/script/copydir.py", line 246, in sub_catcher
    return func(*args, **kw)
  File "<string>", line 33, in respond
NameMapper.NotFound: cannot find 'sqlalchemy'

It looks like quickstart.update is not checking for (or creating the sqlalchemy variable.

Attachments

quickstart.2.patch Download (2.7 KB) - added by plewis 13 years ago.
quickstart.3.patch Download (2.7 KB) - added by plewis 13 years ago.

Change History

Changed 13 years ago by plewis

comment:1 Changed 13 years ago by plewis

  • Summary changed from tg-admin upgrade fails to [PATCH] tg-admin upgrade fails

Changed 13 years ago by plewis

comment:2 Changed 13 years ago by plewis

Ignore quickstart.2.patch. I'm not quite sure what is going on with the .2 and .3 versions, but .3 is the better patch.

comment:3 Changed 13 years ago by plewis

  • Summary changed from [PATCH] tg-admin upgrade fails to [PATCH] 'tg-admin update' fails (cannot find 'sqlalchemy')

Should be 'tg-admin update' in the body, not 'tg-admin upgrade'.

comment:4 Changed 13 years ago by elvelind

  • Status changed from new to closed
  • Resolution set to fixed

commited. thanks for the patch

Note: See TracTickets for help on using tickets.